package com.ss.android.ugc.aweme.commercialize.model;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.io.Serializable;

public final class OrderMessage implements Serializable {
    @c(LIZ = "msg_type")
    public Integer msgType;
    @c(LIZ = "status_code")
    public Integer statusCode;
    @c(LIZ = "toast_content")
    public String toastContent = "";
    @c(LIZ = "update_time")
    public long updateime;

    static {
        Covode.recordClassIndex(59241);
    }

    public final Integer getMsgType() {
        return this.msgType;
    }

    public final Integer getStatusCode() {
        return this.statusCode;
    }

    public final String getToastContent() {
        return this.toastContent;
    }

    public final long getUpdateime() {
        return this.updateime;
    }

    public final void setMsgType(Integer num) {
        this.msgType = num;
    }

    public final void setStatusCode(Integer num) {
        this.statusCode = num;
    }

    public final void setToastContent(String str) {
        this.toastContent = str;
    }

    public final void setUpdateime(long j) {
        this.updateime = j;
    }
}
